--
-- Copyright (c) 1997 by Oracle Corporation. All Rights Reserved. 
--
load data
infile *
preserve blanks
into table help append
fields terminated by '^'
TRAILING NULLCOLS
(
    topic, seq, info
)
BEGINDATA
ACCEPT^1^ 
ACCEPT^2^ ACCEPT
ACCEPT^3^ ------
ACCEPT^4^ 
ACCEPT^5^ Reads a line of input and stores it in a given user variable.
ACCEPT^6^ 
ACCEPT^7^ ACC[EPT] variable [NUM[BER]|CHAR|DATE] [FOR[MAT] format]
ACCEPT^8^   [DEF[AULT] default] [PROMPT text|NOPR[OMPT]] [HIDE]
ACCEPT^9^ 
ACCEPT^10^ For detailed information on this command, see the SQL*Plus User's 
ACCEPT^11^ Guide and Reference.
ACCEPT^12^ 
APPEND^1^ 
APPEND^2^ APPEND
APPEND^3^ ------
APPEND^4^ 
APPEND^5^ Adds text to the end of the current line in the SQL 
APPEND^6^ buffer.
APPEND^7^ 
APPEND^8^ A[PPEND] text 
APPEND^9^ 
APPEND^10^ For detailed information on this command, see the SQL*Plus User's 
APPEND^11^ Guide and Reference.
APPEND^12^ 
@^1^ 
@^2^ @ ("at" sign)
@^3^ -------------
@^4^ 
@^5^ Runs the specified command file.
@^6^ 
@^7^ @ file_name[.ext] [arg...]
@^8^ 
@^9^ For detailed information on this command, see the SQL*Plus User's 
@^10^ Guide and Reference.
@^11^ 
@@^1^ 
@@^2^ @@ (double "at" sign)
@@^3^ ---------------------
@@^4^ 
@@^5^ Runs a command file. This command is identical to the @
@@^6^ command except that it looks for the specified command file in the
@@^7^ same path as the command file from which it was called.
@@^8^ 
@@^9^ @@ file_name[.ext]
@@^10^ 
@@^11^ For detailed information on this command, see the SQL*Plus User's 
@@^12^ Guide and Reference.
@@^13^  
ARCHIVE LOG^1^ 
ARCHIVE LOG^2^ ARCHIVE LOG
ARCHIVE LOG^3^ -----------
ARCHIVE LOG^4^ 
ARCHIVE LOG^5^ Starts or stops automatic archiving of online redo log files,
ARCHIVE LOG^6^ manually (explicitly) archives specified redo log files, or displays
ARCHIVE LOG^7^ information about redo log files.
ARCHIVE LOG^8^
ARCHIVE LOG^9^ ARCHIVE LOG {LIST|STOP}|{START|NEXT|ALL|integer} [TO destination]
ARCHIVE LOG^10^ 
ARCHIVE LOG^11^ For detailed information on this command, see the SQL*Plus User's 
ARCHIVE LOG^12^ Guide and Reference.
ARCHIVE LOG^13^
ATTRIBUTE^1^ 
ATTRIBUTE^2^ ATTRIBUTE
ATTRIBUTE^3^ ---------
ATTRIBUTE^4^ 
ATTRIBUTE^5^ Specifies display characteristics for a given attribute of 
ATTRIBUTE^6^ an Object Type column, such as format for NUMBER data.
ATTRIBUTE^7^ 
ATTRIBUTE^8^ Also lists the current display characteristics for a single 
ATTRIBUTE^9^ attribute or all attributes.
ATTRIBUTE^10^ 
ATTRIBUTE^11^ ATTRIBUTE [type_name.attribute_name [option... ]]
ATTRIBUTE^12^
ATTRIBUTE^13^ where option represents one of the following terms or clauses:
ATTRIBUTE^14^ 
ATTRIBUTE^15^     ALI[AS] alias
ATTRIBUTE^16^     CLE[AR]
ATTRIBUTE^17^     FOR[MAT] format
ATTRIBUTE^18^     LIKE {type_name.attribute_name|alias}
ATTRIBUTE^19^     ON|OFF
ATTRIBUTE^20^ 
ATTRIBUTE^21^ For detailed information on this command, see the SQL*Plus User's 
ATTRIBUTE^22^ Guide and Reference.
ATTRIBUTE^23^ 
BREAK^1^ 
BREAK^2^ BREAK
BREAK^3^ -----
BREAK^4^ 
BREAK^5^ Specifies where and how to make format changes to a report.
BREAK^6^
BREAK^7^ BRE[AK] [ON report_element [action [action]]] ...
BREAK^8^ 
BREAK^9^ where report_element and action require the following syntax:
BREAK^10^
BREAK^11^         report_element: {column | expression | ROW | REPORT}
BREAK^12^
BREAK^13^         action: [SKI[P] n|[SKI[P]] PAGE] [NODUP[LICATES] |
BREAK^14^         DUP[LICATES]]
BREAK^15^ 
BREAK^16^ For detailed information on this command, see the SQL*Plus User's 
BREAK^17^ Guide and Reference.
BREAK^18^ 
BTITLE^1^ 
BTITLE^2^ BTITLE
BTITLE^3^ ------
BTITLE^4^ 
BTITLE^5^ Places and formats a title at the bottom of each report page, 
BTITLE^6^ or lists the current BTITLE definition.
BTITLE^7^ 
BTITLE^8^ BTI[TLE] [printspec [text | variable] ...] | [OFF|ON]
BTITLE^9^ 
BTITLE^10^ For detailed information on this command, see the SQL*Plus User's 
BTITLE^11^ Guide and Reference.
BTITLE^12^ 
CHANGE^1^ 
CHANGE^2^ CHANGE
CHANGE^3^ ------
CHANGE^4^ 
CHANGE^5^ Changes the first occurrence of the specified text on 
CHANGE^6^ the current line of the buffer.
CHANGE^7^
CHANGE^8^ C[HANGE] sepchar old [sepchar [new[sepchar]]]
CHANGE^9^ 
CHANGE^10^ For detailed information on this command, see the SQL*Plus User's 
CHANGE^11^ Guide and Reference.
CHANGE^12^ 
CLEAR^1^ 
CLEAR^2^ CLEAR
CLEAR^3^ -----
CLEAR^4^ 
CLEAR^5^ Resets or erases the current value or setting for the option, 
CLEAR^6^ 
CLEAR^7^ CL[EAR] option ...
CLEAR^8^ 
CLEAR^9^ where option represents one of the following clauses:
CLEAR^10^ 
CLEAR^11^     BRE[AKS]
CLEAR^12^     BUFF[ER]
CLEAR^13^     COL[UMNS]
CLEAR^14^     COMP[UTES]
CLEAR^15^     SCR[EEN]
CLEAR^16^     SQL
CLEAR^17^     TIMI[NG]
CLEAR^18^ 
CLEAR^19^ For detailed information on this command, see the SQL*Plus User's 
CLEAR^20^ Guide and Reference.
CLEAR^21^ 
COLUMN^1^ 
COLUMN^2^ COLUMN
COLUMN^3^ ------
COLUMN^4^ 
COLUMN^5^ Specifies display attributes for a given column, such as:
COLUMN^6^ 
COLUMN^7^     -   text for the column heading
COLUMN^8^     -   alignment of the column heading
COLUMN^9^     -   format for NUMBER data
COLUMN^10^     -   wrapping of column data
COLUMN^11^
COLUMN^12^ Also lists the current display attributes for a single column
COLUMN^13^ or all columns.
COLUMN^14^ 
COLUMN^15^ COL[UMN] [{column | expr} [option...] ]
COLUMN^16^ 
COLUMN^17^ where option represents one of the following clauses:
COLUMN^18^ 
COLUMN^19^     ALI[AS] alias
COLUMN^20^     CLE[AR] 
COLUMN^21^     FOLD_A[FTER] 
COLUMN^22^     FOLD_B[EFORE] 
COLUMN^23^     FOR[MAT] format
COLUMN^24^     HEA[DING] text
COLUMN^25^     JUS[TIFY] {L[EFT] | C[ENTER] | C[ENTRE] | R[IGHT]}
COLUMN^26^     LIKE {expr | alias}
COLUMN^27^     NEWL[INE]
COLUMN^28^     NEW_V[ALUE] variable
COLUMN^29^     NOPRI[NT] | PRI[NT]
COLUMN^30^     NUL[L] text
COLUMN^31^     OLD_V[ALUE] variable
COLUMN^32^     ON|OFF
COLUMN^33^     WRA[PPED] | WOR[D_WRAPPED] | TRU[NCATED]
COLUMN^34^ 
COLUMN^35^ For detailed information on this command, see the SQL*Plus User's 
COLUMN^36^ Guide and Reference.
COLUMN^37^ 
COMPUTE^1^ 
COMPUTE^2^ COMPUTE
COMPUTE^3^ -------
COMPUTE^4^ 
COMPUTE^5^ Calculates and prints summary lines, using various standard
COMPUTE^6^ computations, on subsets of selected rows. It also lists all 
COMPUTE^7^ COMPUTE definitions.
COMPUTE^8^ 
COMPUTE^9^ COMP[UTE] [function [LAB[EL] text] ...
COMPUTE^10^     OF {expr|column|alias} ...
COMPUTE^11^     ON {expr|column|alias|REPORT|ROW} ...]
COMPUTE^12^ 
COMPUTE^13^ For detailed information on this command, see the SQL*Plus User's 
COMPUTE^14^ Guide and Reference.
COMPUTE^15^ 
CONNECT^1^ 
CONNECT^2^ CONNECT
CONNECT^3^ -------
CONNECT^4^ 
CONNECT^5^ Connects a given username to Oracle.
CONNECT^6^ 
CONNECT^7^ CONN[ECT] [logon] [AS [SYSOPER|SYSDBA]]|[INTERNAL]
CONNECT^8^
CONNECT^9^ where logon requires the following syntax:
CONNECT^10^     
CONNECT^11^     username[/password][@database_specification]|/
CONNECT^12^ 
CONNECT^13^ For detailed information on this command, see the SQL*Plus User's 
CONNECT^14^ Guide and Reference.
CONNECT^15^ 
COPY^1^ 
COPY^2^ COPY
COPY^3^ ----
COPY^4^ 
COPY^5^ COPY copies data from a query to a table in a local or remote 
COPY^6^ database.
COPY^7^ 
COPY^8^ COPY {FROM username[/password]@database_specification|
COPY^9^       TO username[/password]@database_specification|
COPY^10^       FROM username[/password]@database_specification
COPY^11^       TO username[/password]@database_specification}
COPY^12^       {APPEND|CREATE|INSERT|REPLACE} destination_table
COPY^13^       [(column, column, column, ...)] USING query
COPY^14^ 
COPY^15^ For detailed information on this command, see the SQL*Plus User's 
COPY^16^ Guide and Reference.
COPY^17^ 
DBA^1^ 
DBA^2^ DBA
DBA^3^ ---
DBA^4^ 
DBA^5^ The DBA username SYSTEM owns and has all privileges on 
DBA^6^ PRODUCT_USER_PROFILE.
DBA^7^ Other users should have only SELECT access to this table. Command 
DBA^8^ file PUPBLD, when run, grants SELECT access on PRODUCT_USER_PROFILE 
DBA^9^ to PUBLIC.
DBA^10^ 
DBA^11^ For detailed information on this role, see the SQL*Plus User's 
DBA^12^ Guide and Reference.
DBA^13^ 
DEFINE^1^ 
DEFINE^2^ DEFINE
DEFINE^3^ ------
DEFINE^4^ 
DEFINE^5^ Specifies a user variable and assigns it a CHAR value, or 
DEFINE^6^ lists the value and variable type of a single variable or all 
DEFINE^7^ variables.
DEFINE^8^ 
DEFINE^9^ DEF[INE] [variable]|[variable = text]
DEFINE^10^ 
DEFINE^11^ For detailed information on this command, see the SQL*Plus User's 
DEFINE^12^ Guide and Reference.
DEFINE^13^ 
DEL^1^ 
DEL^2^ DEL
DEL^3^ ---
DEL^4^ 
DEL^5^ Deletes one or more lines of the buffer. 
DEL^6^ 
DEL^7^ DEL [n|n m|n *|n LAST|*|* n|* LAST|LAST]
DEL^8^ 
DEL^9^ For detailed information on this command, see the SQL*Plus User's 
DEL^10^ Guide and Reference.
DEL^11^ 
DESCRIBE^1^ 
DESCRIBE^2^ DESCRIBE
DESCRIBE^3^ --------
DESCRIBE^4^ 
DESCRIBE^5^ Lists the column definitions for a table, view, or synonym,
DESCRIBE^6^ or the specifications for a function or procedure.
DESCRIBE^7^ 
DESCRIBE^8^ DESC[RIBE] {[schema.]object[@database_link_name]}
DESCRIBE^9^ 
DESCRIBE^10^ For detailed information on this command, see the SQL*Plus User's 
DESCRIBE^11^ Guide and Reference.
DESCRIBE^12^ 
DISCONNECT^1^ 
DISCONNECT^2^ DISCONNECT
DISCONNECT^3^ ----------
DISCONNECT^4^ 
DISCONNECT^5^ Commits pending changes to the database and logs the current 
DISCONNECT^6^ username out of Oracle, but does not exit SQL*Plus. Use EXIT or 
DISCONNECT^7^ QUIT to log out of Oracle and return control to your host 
DISCONNECT^8^ computer's operating system.
DISCONNECT^9^ 
DISCONNECT^10^ DISC[ONNECT]
DISCONNECT^11^ 
DISCONNECT^12^ For detailed information on this command, see the SQL*Plus User's 
DISCONNECT^13^ Guide and Reference.
DISCONNECT^14^ 
EDIT^1^ 
EDIT^2^ EDIT
EDIT^3^ ----
EDIT^4^
EDIT^5^ Invokes a host operating system text editor on the contents of 
EDIT^6^ the specified file or on the contents of the buffer.
EDIT^7^
EDIT^8^ ED[IT] [file_name[.ext]]
EDIT^9^ 
EDIT^10^ For detailed information on this command, see the SQL*Plus User's 
EDIT^11^ Guide and Reference.
EDIT^12^ 
EXECUTE^1^ 
EXECUTE^2^ EXECUTE
EXECUTE^3^ -------
EXECUTE^4^ 
EXECUTE^5^ Executes a single PL/SQL statement. The EXECUTE command is
EXECUTE^6^ often useful when you want to execute a PL/SQL statement that
EXECUTE^7^ references a stored procedure.
EXECUTE^8^ 
EXECUTE^9^ EXEC[UTE] statement
EXECUTE^10^ 
EXECUTE^11^ For detailed information on this command, see the SQL*Plus User's 
EXECUTE^12^ Guide and Reference.
EXECUTE^13^ 
EXIT^1^ 
EXIT^2^ EXIT
EXIT^3^ ----
EXIT^4^ 
EXIT^5^ Terminates SQL*Plus, and returns control to the operating 
EXIT^6^ system.
EXIT^7^ 
EXIT^8^ {EXIT|QUIT} [SUCCESS|FAILURE|WARNING|n|variable|:BindVariable]
EXIT^9^    [COMMIT|ROLLBACK]
EXIT^10^ 
EXIT^11^ For detailed information on this command, see the SQL*Plus User's 
EXIT^12^ Guide and Reference.
EXIT^13^ 
GET^1^ 
GET^2^ GET
GET^3^ ---
GET^4^ 
GET^5^ Loads a host operating system file into the SQL buffer.
GET^6^ 
GET^7^ GET file_name[.ext] [LIS[T]|NOL[IST]]
GET^8^ 
GET^9^ For detailed information on this command, see the SQL*Plus User's 
GET^10^ Guide and Reference.
GET^11^ 
HELP^1^ 
HELP^2^ HELP
HELP^3^ ----
HELP^4^ 
HELP^5^ Accesses the SQL*Plus help system.
HELP^6^ 
HELP^7^ HELP [topic] 
HELP^8^ 
HELP^9^ For detailed information on this command, see the SQL*Plus User's 
HELP^10^ Guide and Reference.
HELP^11^ 
HOST^1^ 
HOST^2^ HOST
HOST^3^ ----
HOST^4^ 
HOST^5^ Executes a host operating system command without leaving 
HOST^6^ SQL*Plus.
HOST^7^ 
HOST^8^ HO[ST] [command]
HOST^9^ 
HOST^10^ For detailed information on this command, see the SQL*Plus User's 
HOST^11^ Guide and Reference.
HOST^12^ 
INDEX^1^
INDEX^2^ ACCEPT        DBA          PAUSE            /
INDEX^3^ APPEND        DEFINE       PRINT            SPOOL
INDEX^4^ @             DEL          PROMPT           SQLPLUS
INDEX^5^ @@            DESCRIBE     QUIT             START
INDEX^6^ ARCHIVE LOG   DISCONNECT   RECOVER          STARTUP
INDEX^7^ ATTRIBUTE     EDIT         REMARK           STORE
INDEX^8^ BREAK         EXECUTE      REPFOOTER        TIMING
INDEX^9^ BTITLE        EXIT         REPHEADER        TTITLE
INDEX^10^ CHANGE        GET          RESERVED WORDS   UNDEFINE
INDEX^11^ CLEAR         HELP         RUN              VARIABLE
INDEX^12^ COLUMN        HOST         SAVE             WHENEVER OSERROR
INDEX^13^ COMPUTE       INPUT        SET              WHENEVER SQLERROR
INDEX^14^ CONNECT       LIST         SHOW
INDEX^15^ COPY          PASSWORD     SHUTDOWN
INDEX^16^
INPUT^1^ 
INPUT^2^ INPUT
INPUT^3^ -----
INPUT^4^ 
INPUT^5^ Adds one or more lines of text after the current line in the 
INPUT^6^ buffer.
INPUT^7^ 
INPUT^8^ I[NPUT] [text]
INPUT^9^ 
INPUT^10^ For detailed information on this command, see the SQL*Plus User's 
INPUT^11^ Guide and Reference.
INPUT^12^ 
LIST^1^ 
LIST^2^ LIST
LIST^3^ ----
LIST^4^ 
LIST^5^ Lists one or more lines of the SQL buffer. Enter LIST with no 
LIST^6^ clauses to list all lines.
LIST^7^ 
LIST^8^ L[IST] [n|n m|n  *|n LAST|*|* n|* LAST|LAST]
LIST^9^ 
LIST^10^ For detailed information on this command, see the SQL*Plus User's 
LIST^11^ Guide and Reference.
LIST^12^ 
MENU^1^ 
MENU^2^ Menu
MENU^3^ ----
MENU^4^ 
MENU^5^ Enter HELP INDEX for a list of help topics.
MENU^6^ 
PASSWORD^1^ 
PASSWORD^2^ PASSWORD
PASSWORD^3^ --------
PASSWORD^4^ 
PASSWORD^5^ Allows you to change a password without echoing the password 
PASSWORD^6^ on an input device.
PASSWORD^7^ 
PASSWORD^8^ PASSW[ORD] [username]
PASSWORD^9^ 
PASSWORD^10^ For detailed information on this command, see the SQL*Plus User's 
PASSWORD^11^ Guide and Reference.
PASSWORD^12^ 
PAUSE^1^ 
PAUSE^2^ PAUSE
PAUSE^3^ -----
PAUSE^4^ 
PAUSE^5^ Displays an empty line followed by a line containing text, then 
PAUSE^6^ waits for the user to press RETURN, or displays two empty lines, 
PAUSE^7^ and waits for the user's response.
PAUSE^8^ 
PAUSE^9^ PAU[SE] [text]
PAUSE^10^ 
PAUSE^11^ For detailed information on this command, see the SQL*Plus User's 
PAUSE^12^ Guide and Reference.
PAUSE^13^ 
PRINT^1^ 
PRINT^2^ PRINT
PRINT^3^ -----
PRINT^4^ 
PRINT^5^ Displays the current value of bind variables.
PRINT^6^ 
PRINT^7^ PRI[NT] [variable ...]
PRINT^8^ 
PRINT^9^ For detailed information on this command, see the SQL*Plus User's 
PRINT^10^ Guide and Reference.
PRINT^11^ 
PROMPT^1^ 
PROMPT^2^ PROMPT
PROMPT^3^ ------
PROMPT^4^ 
PROMPT^5^ Sends the specified message or a blank line to the user's 
PROMPT^6^ screen.
PROMPT^7^ 
PROMPT^8^ PRO[MPT] [text]
PROMPT^9^ 
PROMPT^10^ For detailed information on this command, see the SQL*Plus User's 
PROMPT^11^ Guide and Reference.
PROMPT^12^ 
QUIT^1^ 
QUIT^2^ QUIT
QUIT^3^ ----
QUIT^4^ 
QUIT^5^ Terminates SQL*Plus and returns control to the operating system.
QUIT^6^ 
QUIT^7^ {QUIT|EXIT} [SUCCESS|FAILURE|WARNING|n|variable|:BindVariable]
QUIT^8^     [COMMIT|ROLLBACK]
QUIT^9^ 
QUIT^10^ For detailed information on this command, see the SQL*Plus User's 
QUIT^11^ Guide and Reference.
QUIT^12^ 
RECOVER^1^ 
RECOVER^2^ RECOVER
RECOVER^3^ -------
RECOVER^4^ 
RECOVER^5^ Performs media recovery on one or more tablespaces, one or more
RECOVER^6^ datafiles, or the entire database.
RECOVER^7^ 
RECOVER^8^ RECOVER [DATABSE [[UNTIL options] [USING BACKUP CONTROLFILE]
RECOVER^9^     [PARALLEL clause]]
RECOVER^10^     |TABLESPACE {tablespace [, tablespace ...]}
RECOVER^11^     [PARALLEL clause]
RECOVER^12^     |DATAFILE {datafilename [, datafilename ...]}
RECOVER^13^     [PARALLEL clause]]
RECOVER^14^ 
RECOVER^15^ where options requires the following syntax:
RECOVER^16^
RECOVER^17^     {CANCEL|CHANGE integer|TIME date}
RECOVER^18^
RECOVER^19^ and where clause requires the following syntax:
RECOVER^20^
RECOVER^21^     {PARALLEL ([DEGREE {integer|DEFAULT}
RECOVER^22^     |INSTANCES {integer|DEFAULT}]...)|NOPARALLEL}
RECOVER^23^ 
RECOVER^24^ For detailed information on this command, see the SQL*Plus User's 
RECOVER^25^ Guide and Reference.
RECOVER^26^
REMARK^1^ 
REMARK^2^ REMARK
REMARK^3^ ------
REMARK^4^ 
REMARK^5^ Begins a comment in a command file.
REMARK^6^ 
REMARK^7^ REM[ARK]
REMARK^8^ 
REMARK^9^ For detailed information on this command, see the SQL*Plus User's 
REMARK^10^ Guide and Reference.
REMARK^11^ 
REPFOOTER^1^ 
REPFOOTER^2^ REPFOOTER
REPFOOTER^3^ ---------
REPFOOTER^4^ 
REPFOOTER^5^ Places and formats a footer at the bottom of a report, or lists the
REPFOOTER^6^ REPFOOTER definition.
REPFOOTER^7^ 
REPFOOTER^8^ REPF[OOTER] [PAGE] [printspec [text|variable] ...] | [OFF|ON]
REPFOOTER^9^
REPFOOTER^10^ where printspec is one or more of the clauses:
REPFOOTER^11^ 
REPFOOTER^12^         COL n          LE[FT]        BOLD
REPFOOTER^13^         S[KIP] [n]     CE[NTER]      FORMAT text
REPFOOTER^14^         TAB n          R[IGHT]
REPFOOTER^15^ 
REPFOOTER^16^ For detailed information on this command, see the SQL*Plus User's 
REPFOOTER^17^ Guide and Reference.
REPFOOTER^18^ 
REPHEADER^1^ 
REPHEADER^2^ REPHEADER
REPHEADER^3^ ---------
REPHEADER^4^ 
REPHEADER^5^ Places and formats a header at the top of a report, or lists the
REPHEADER^6^ REPHEADER definition.
REPHEADER^7^ 
REPHEADER^8^ REPH[EADER] [PAGE] [printspec [text|variable] ...] | [OFF|ON]
REPHEADER^9^ 
REPHEADER^10^ where printspec is one or more of the clauses:
REPHEADER^11^ 
REPHEADER^12^         COL n          LE[FT]        BOLD
REPHEADER^13^         S[KIP] [n]     CE[NTER]      FORMAT text
REPHEADER^14^         TAB n          R[IGHT]
REPHEADER^15^ 
REPHEADER^16^ For detailed information on this command, see the SQL*Plus User's 
REPHEADER^17^ Guide and Reference.
REPHEADER^18^ 
RESERVED WORDS^1^ 
RESERVED WORDS^2^ Reserved Words
RESERVED WORDS^3^ --------------
RESERVED WORDS^4^ 
RESERVED WORDS^5^ The following words have special meaning in SQL and PL/SQL, and may
RESERVED WORDS^6^ not be used for identifier names (unless enclosed in "quotes"):
RESERVED WORDS^7^ 
RESERVED WORDS^8^ ABORT      AUDIT           CLUSTERS     DATA_BASE      DISPOSE
RESERVED WORDS^9^ ACCEPT     AUTHORIZATION   COLAUTH      DATE           DISTINCT
RESERVED WORDS^10^ ACCESS     AVG             COLUMN       DBA            DO
RESERVED WORDS^11^ ADD        BEGIN           COMMENT      DEBUGOFF       DROP
RESERVED WORDS^12^ ALL        BETWEEN         COMMIT       DEBUGON        ELSE
RESERVED WORDS^13^ ALTER      BODY            COMPRESS     DECIMAL        ELSIF
RESERVED WORDS^14^ AND        BOOLEAN         CONNECT      DECLARE        END
RESERVED WORDS^15^ ANY        BY              CONSTANT     DEFAULT        ENTRY
RESERVED WORDS^16^ ARRAY      CASE            COUNT        DEFINITION     EXCEPTION
RESERVED WORDS^17^ AS         CHAR            CRASH        DELAY          EXCEPTION_INIT
RESERVED WORDS^18^ ASC        CHAR_BASE       CREATE       DELETE         EXCLUSIVE
RESERVED WORDS^19^ ASSERT     CHECK           CURRENT      DELTA          EXISTS
RESERVED WORDS^20^ ASSIGN     CLOSE           CURSOR       DESC           EXIT
RESERVED WORDS^21^ AT         CLUSTER         DATABASE     DIGITS         FALSE
RESERVED WORDS^22^ 
RESERVED WORDS^23^ FETCH        IF            LIKE         NOCOMPRESS     OTHERS
RESERVED WORDS^24^ FILE         IMMEDIATE     LIMITED      NOT            OUT
RESERVED WORDS^25^ FLOAT        IN            LOCK         NOWAIT         PACKAGE
RESERVED WORDS^26^ FOR          INCREMENT     LONG         NULL           PARTITION
RESERVED WORDS^27^ FORM         INDEX         LOOP         NUMBER         PCTFREE
RESERVED WORDS^28^ FROM         INDEXES       MAX          NUMBER_BASE    PRAGMA
RESERVED WORDS^29^ FUNCTION     INDICATOR     MAXEXTENTS   OF             PRIOR
RESERVED WORDS^30^ GENERIC      INITIAL       MIN          OFFLINE        PRIVATE
RESERVED WORDS^31^ GOTO         INSERT        MINUS        ON             PRIVILEGES
RESERVED WORDS^32^ GRANT        INTEGER       MOD          ONLINE         PROCEDURE
RESERVED WORDS^33^ GRAPHIC      INTERSECT     MODE         OPEN           PUBLIC
RESERVED WORDS^34^ GROUP        INTO          MODIFY       OPTION         RAISE
RESERVED WORDS^35^ HAVING       IS            NEW          OR             RANGE
RESERVED WORDS^36^ IDENTIFIED   LEVEL         NOAUDIT      ORDER          RAW
RESERVED WORDS^37^ 
RESERVED WORDS^38^ RECORD       ROWTYPE       SQLERRM      THEN           VARGRAPH
RESERVED WORDS^39^ RELEASE      RUN           START        TO             VARIANCE
RESERVED WORDS^40^ REM          SAVEPOINT     STATEMENT    TRIGGER        VIEW
RESERVED WORDS^41^ REMARK       SCHEMA        STDDEV       TRUE           VIEWS
RESERVED WORDS^42^ RENAME       SELECT        SUBTYPE      TYPE           WHEN
RESERVED WORDS^43^ RESOURCE     SEPARATE      SUCCESSFUL   UID            WHENEVER
RESERVED WORDS^44^ RETURN       SESSION       SUM          UNION          WHERE
RESERVED WORDS^45^ REVERSE      SET           SYNONYM      UNIQUE         WHILE
RESERVED WORDS^46^ REVOKE       SHARE         SYSDATE      UPDATE         WITH
RESERVED WORDS^47^ ROLLBACK     SIZE          TABAUTH      USE            WORK
RESERVED WORDS^48^ ROW          SMALLINT      TABLE        USER           XOR
RESERVED WORDS^49^ ROWID        SPACE         TABLES       VALIDATE
RESERVED WORDS^50^ ROWNUM       SQL           TASK         VALUES
RESERVED WORDS^51^ ROWS         SQLCODE       TERMINATE    VARCHAR
RESERVED WORDS^52^ 
RUN^1^ 
RUN^2^ RUN
RUN^3^ ---
RUN^4^ 
RUN^5^ Lists and executes the SQL command or PL/SQL block currently in 
RUN^6^ the SQL buffer. 
RUN^7^ 
RUN^8^ R[UN]
RUN^9^ 
RUN^10^ For detailed information on this command, see the SQL*Plus User's 
RUN^11^ Guide and Reference.
RUN^12^ 
SAVE^1^ 
SAVE^2^ SAVE
SAVE^3^ ----
SAVE^4^ 
SAVE^5^ Saves the contents of the SQL buffer in a host operating system 
SAVE^6^ command file.
SAVE^7^ 
SAVE^8^ SAV[E] file_name[.ext] [CRE[ATE]|REP[LACE]|APP[END]]
SAVE^9^ 
SAVE^10^ For detailed information on this command, see the SQL*Plus User's 
SAVE^11^ Guide and Reference.
SAVE^12^ 
SET^1^ 
SET^2^ SET
SET^3^ ---
SET^4^ 
SET^5^ Sets a system variable to alter the SQL*Plus environment settings 
SET^6^ for your current session; for example:
SET^7^                -   the display width for NUMBER data
SET^8^                -   the display width for LONG data
SET^9^                -   enabling or disabling the printing of column 
SET^10^                    headings
SET^11^                -   the number of lines per page
SET^12^ 
SET^13^ 
SET^14^ SET system_variable value
SET^15^ 
SET^16^ where system_variable represents a system variable followed by a 
SET^17^ value as shown below:
SET^18^
SET^19^   APPI[NFO]{ON|OFF|text}                   NUM[WIDTH] {10|n}
SET^20^   ARRAY[SIZE] {15|n}                       PAGES[IZE] {24|n}
SET^21^   AUTO[COMMIT] {OFF|ON|IMM[EDIATE]|n}      PAU[SE] {OFF|ON|text}
SET^22^   AUTOP[RINT] {OFF|ON}                     RECSEP {WR[APPED]|
SET^23^   AUTORECOVERY {ON|OFF}                     EA[CH]|OFF}
SET^24^   AUTOT[RACE] {OFF|ON|TRACE[ONLY]}         RECSEPCHAR { |c}
SET^25^    [EXP[LAIN]] [STAT[ISTICS]]              SEVEROUT[PUT] {OFF|ON} 
SET^26^   BLO[CKTERMINATOR] {.|c}                   [SIZE n] [FOR[MAT]
SET^27^   CMDS[EP] {;|c|OFF|ON}                     {WRA[PPED]|
SET^28^   COLSEP  {_|text}                          WOR[D_WRAPPED]|  
SET^29^   COM[PATIBILITY] {V7|V8|NATIVE}            TRU[NCATED]}]   
SET^30^   CON[CAT] {.|c|OFF|ON}                    SHIFT[INOUT] {VIS[IBLE]|
SET^31^   COPYC[OMMIT] {0|n}                        INV[ISIBLE]}
SET^32^   COPYTYPECHECK {OFF|ON}                   SHOW[MODE] {OFF|ON} 
SET^33^   DEF[INE] {'&'|c|OFF|ON}                  SQLC[ASE] {MIX[ED]| 
SET^34^   ECHO {OFF|ON}                             LO[WER]|UP[PER]}   
SET^35^   EDITF[ILE] file_name[.ext]               SQLCO[NTINUE] {> | text}
SET^36^   EMB[EDDED] {OFF|ON}                      SQLN[UMBER] {OFF|ON} 
SET^37^   ESC[APE] {\|c|OFF|ON}                    SQLPRE[FIX] {#|c} 
SET^38^   FEED[BACK] {6|n|OFF|ON}                  SQLP[ROMPT] {SQL>|text}
SET^39^   FLAGGER {OFF|ENTRY|INTERMED[IATE]|FULL}  SQLT[ERMINATOR]
SET^40^   FLU[SH] {OFF|ON}                          {;|c|OFF|ON}
SET^41^   HEA[DING] {OFF|ON}                       SUF[FIX] {SQL|text}
SET^42^   HEADS[EP] {||c|OFF|ON}                   TAB {OFF|ON} 
SET^43^   INSTANCE [instance_path|LOCAL]           TERM[OUT] {OFF|ON}    
SET^44^   LIN[ESIZE] {80|n}                        TI[ME] {OFF|ON}
SET^45^   LOBOF[FSET] {n|1}                        TIMI[NG] {OFF|ON}
SET^46^   LOGSOURCE [pathname]                     TRIM[OUT] {OFF|ON} 
SET^47^   LONG {80|n}                              TRIMS[POOL] {ON|OFF}
SET^48^   LONGC[HUNKSIZE] {80|n}                   UND[ERLINE] {-|c|ON|OFF}
SET^49^   NEWP[AGE] {1|n|NONE}                     VER[IFY] {OFF|ON}
SET^50^   NULL text                                WRA[P] {OFF|ON}
SET^51^   NUMF[ORMAT] format                       
SET^52^                                            
SET^53^                                            
SET^54^ For detailed information on this command, see the SQL*Plus User's 
SET^55^ Guide and Reference.
SET^56^ 
SHOW^1^ 
SHOW^2^ SHOW
SHOW^3^ ----
SHOW^4^ 
SHOW^5^ Shows the value of a SQL*Plus system variable, or the
SHOW^6^ current SQL*Plus environment.
SHOW^7^ 
SHOW^8^ SHO[W] option
SHOW^9^ 
SHOW^10^     where option represents one of the following terms or clauses:
SHOW^11^ 
SHOW^12^     system_variable
SHOW^13^     ALL
SHOW^14^     BTI[TLE]
SHOW^15^     ERR[ORS] [{FUNCTION|PROCEDURE|PACKAGE|PACKAGE BODY|TRIGGER|
SHOW^16^        VIEW|TYPE|TYPE BODY} [schema.]name]
SHOW^17^     LNO
SHOW^18^     PARAMATERS [parameter_name]
SHOW^19^     PNO
SHOW^20^     REL[EASE]
SHOW^21^     REPF[OOTER]
SHOW^22^     REPH[EADER]
SHOW^23^     SGA
SHOW^24^     SPOO[L]
SHOW^25^     SQLCODE
SHOW^26^     TT[ITLE]
SHOW^27^     USER
SHOW^28^ 
SHOW^29^ For detailed information on this command, see the SQL*Plus User's 
SHOW^30^ Guide and Reference.
SHOW^31^ 
SHUTDOWN^1^ 
SHUTDOWN^2^ SHUTDOWN
SHUTDOWN^3^ --------
SHUTDOWN^4^ 
SHUTDOWN^5^ Shuts down a currently running Oracle instance, optionally closing
SHUTDOWN^6^ and dismounting a database.
SHUTDOWN^7^ 
SHUTDOWN^8^ SHUTDOWN [ABORT|IMMEDIATE|NORMAL]     
SHUTDOWN^9^ 
SHUTDOWN^10^ For detailed information on this command, see the SQL*Plus User's 
SHUTDOWN^11^ Guide and Reference.
SHUTDOWN^12^
/^1^ 
/^2^ / (slash)
/^3^ ---------
/^4^ 
/^5^ Enter a slash (/) at the command prompt or at a line number prompt 
/^6^ to execute a SQL command or PL/SQL block in the SQL buffer. 
/^7^ 
/^8^ /
/^9^ 
/^10^ For detailed information on this command, see the SQL*Plus User's 
/^11^ Guide and Reference.
/^12^ 
SPOOL^1^ 
SPOOL^2^ SPOOL
SPOOL^3^ -----
SPOOL^4^ 
SPOOL^5^ Stores query results in an operating system file, or sends the
SPOOL^6^ file to a printer.
SPOOL^7^ 
SPOOL^8^ SPO[OL] [file_name[.ext]|OFF|OUT]
SPOOL^9^ 
SPOOL^10^ For detailed information on this command, see the SQL*Plus User's 
SPOOL^11^ Guide and Reference.
SPOOL^12^
SQLPLUS^1^ 
SQLPLUS^2^ SQLPLUS
SQLPLUS^3^ -------
SQLPLUS^4^ 
SQLPLUS^5^ Starts SQL*Plus from the operating system prompt. 
SQLPLUS^6^ 
SQLPLUS^7^ SQLPLUS [[-S[ILENT]] [logon] [start]]|-|-?
SQLPLUS^8^ 
SQLPLUS^9^ where logon and start require the following syntax:
SQLPLUS^10^
SQLPLUS^11^     logon:  username[/password][@database_specification]|/|/NOLOG
SQLPLUS^12^     start:  @file_name[.ext ] [arg ...]
SQLPLUS^13^ 
SQLPLUS^14^ For detailed information on this command, see the SQL*Plus User's 
SQLPLUS^15^ Guide and Reference.
SQLPLUS^16^
START^1^ 
START^2^ START
START^3^ -----
START^4^ 
START^5^ Executes the contents of a command file. 
START^6^
START^7^ STA[RT] file_name[.ext] [arg ...]
START^8^ 
START^9^ For detailed information on this command, see the SQL*Plus User's 
START^10^ Guide and Reference.
START^11^ 
STARTUP^1^ 
STARTUP^2^ STARTUP
STARTUP^3^ -------
STARTUP^4^ 
STARTUP^5^ Starts an Oracle instance with several options, including mounting,
STARTUP^6^ and opening a database.
STARTUP^7^ 
STARTUP^8^ STARTUP [FORCE][RESTRICT][PFILE=filename][MOUNT[OPEN[RECOVER]]
STARTUP^9^     [database]][mount_options]|[NOMOUNT] 
STARTUP^10^
STARTUP^11^     where mount_options requires the following syntax:
STARTUP^12^
STARTUP^13^     [EXCLUSIVE|[PARALLEL|SHARED][RETRY]]
STARTUP^14^
STARTUP^15^ For detailed information on this command, see the SQL*Plus User's 
STARTUP^16^ Guide and Reference.
STARTUP^17^
STORE^1^ 
STORE^2^ STORE
STORE^3^ -----
STORE^4^ 
STORE^5^ Saves attributes of the current SQL*Plus environment in a host 
STORE^6^ operating system file (a command file).
STORE^7^ 
STORE^8^ STORE {SET} file_name[.ext] [CRE[ATE]|REP[LACE]|APP[END]]
STORE^9^ 
STORE^10^ For detailed information on this command, see the SQL*Plus User's 
STORE^11^ Guide and Reference.
STORE^12^ 
TIMING^1^ 
TIMING^2^ TIMING
TIMING^3^ ------
TIMING^4^ 
TIMING^5^ Records timing data for an elapsed time period, lists the 
TIMING^6^ current timer's name and timing data, or lists the number of active 
TIMING^7^ timers.
TIMING^8^ 
TIMING^9^ TIMI[NG] [START text|SHOW|STOP]
TIMING^10^ 
TIMING^11^ For detailed information on this command, see the SQL*Plus User's 
TIMING^12^ Guide and Reference.
TIMING^13^ 
TTITLE^1^ 
TTITLE^2^ TTITLE
TTITLE^3^ ------
TTITLE^4^ 
TTITLE^5^ Places and formats a title at the top of each report page. 
TTITLE^6^ Enter TTITLE with no clause to list its current definition. The old 
TTITLE^7^ form of TTITLE is used if only a single word or string in quotes 
TTITLE^8^ follows the TTITLE command.
TTITLE^9^ 
TTITLE^10^ TTI[TLE] [printspec [text|variable] ...] | [OFF|ON]
TTITLE^11^ 
TTITLE^12^ where printspec represents one or more of the clauses:
TTITLE^13^ 
TTITLE^14^         COL n          LE[FT]        BOLD
TTITLE^15^         S[KIP] [n]     CE[NTER]      FORMAT text
TTITLE^16^         TAB n          R[IGHT]
TTITLE^17^ 
TTITLE^18^ For detailed information on this command, see the SQL*Plus User's 
TTITLE^19^ Guide and Reference.
TTITLE^20^ 
UNDEFINE^1^ 
UNDEFINE^2^ UNDEFINE
UNDEFINE^3^ --------
UNDEFINE^4^ 
UNDEFINE^5^ Deletes one or more user variables that you defined either
UNDEFINE^6^ explicitly (with the DEFINE command), or implicitly (with a START
UNDEFINE^7^ command argument).
UNDEFINE^8^ 
UNDEFINE^9^ UNDEF[INE] variable ...
UNDEFINE^10^ 
UNDEFINE^11^ For detailed information on this command, see the SQL*Plus User's 
UNDEFINE^12^ Guide and Reference.
UNDEFINE^13^ 
VARIABLE^1^ 
VARIABLE^2^ VARIABLE
VARIABLE^3^ --------
VARIABLE^4^ 
VARIABLE^5^ Declares a bind variable that can then be referenced in
VARIABLE^6^ PL/SQL. VARIABLE with no arguments displays a list of all the
VARIABLE^7^ variables declared in the session. VARIABLE followed by a name
VARIABLE^8^ lists that variable.
VARIABLE^9^ 
VARIABLE^10^ VAR[IABLE] [variable [NUMBER|CHAR|CHAR (n)|NCHAR|NCHAR (n)|
VARIABLE^11^    VARCHAR2 (n)|NVARCHAR2 (n)|CLOB|NCLOB|REFCURSOR]]
VARIABLE^12^ 
VARIABLE^13^ For detailed information on this command, see the SQL*Plus User's 
VARIABLE^14^ Guide and Reference.
VARIABLE^15^ 
WHENEVER OSERROR^1^ 
WHENEVER OSERROR^2^ WHENEVER OSERROR
WHENEVER OSERROR^3^ ----------------
WHENEVER OSERROR^4^ 
WHENEVER OSERROR^5^ Exits SQL*Plus if an operating system error occurs,
WHENEVER OSERROR^6^ (such as a file I/O error).
WHENEVER OSERROR^7^ 
WHENEVER OSERROR^8^ WHENEVER OSERROR {EXIT [SUCCESS|FAILURE|n|variable|:BindVariable]
WHENEVER OSERROR^9^    [COMMIT|ROLLBACK]|CONTINUE [COMMIT|ROLLBACK|NONE]}
WHENEVER OSERROR^10^ 
WHENEVER OSERROR^11^ For detailed information on this command, see the SQL*Plus User's 
WHENEVER OSERROR^12^ Guide and Reference.
WHENEVER OSERROR^13^ 
WHENEVER SQLERROR^1^ 
WHENEVER SQLERROR^2^ WHENEVER SQLERROR
WHENEVER SQLERROR^3^ -----------------
WHENEVER SQLERROR^4^ 
WHENEVER SQLERROR^5^ Exits SQL*Plus if a SQL command or PL/SQL block generates an error.
WHENEVER SQLERROR^6^ 
WHENEVER SQLERROR^7^ WHENEVER SQLERROR {EXIT [SUCCESS|FAILURE|WARNING|n|variable|:BindVariable]
WHENEVER SQLERROR^8^    [COMMIT|ROLLBACK]|CONTINUE [COMMIT|ROLLBACK|NONE]}
WHENEVER SQLERROR^9^ 
WHENEVER SQLERROR^10^ For detailed information on this command, see the SQL*Plus User's 
WHENEVER SQLERROR^11^ Guide and Reference.
WHENEVER SQLERROR^12^ 
