rem 
rem	ST_Inventory_Detail.SQL - Demonstrates how to create a Master/Detail report
rem                    using the UNION operator.  This technique is useful
rem                    when ever records/text from different tables nees
rem                    to appear in the same report.
rem 
rem	    Oracle8i From Scratch
rem            by Dan Hotka
rem         Que Publications March 2000
rem         All Rights Reserved
rem
ACCEPT INV_ID PROMPT 'Enter Inventory ID --> '
SET FEEDBACK OFF
SET VERIFY OFF
SET LINESIZE 60
SET PAGESIZE 24
SET HEADING OFF


TTITLE 'Inventory Detail for Inventory_ID &INV_ID'

COLUMN DUMMY NOPRINT


SPOOL ST_Inventory_Detail.OUT
SELECT 1 DUMMY, 'Vehicle: ' || inv_year || ' ' || inv_color || ' ' || inv_make
FROM st_inventory
WHERE inv_id = &INV_ID
UNION
SELECT 2 DUMMY, 'Purchase Price:        ' || TO_CHAR(inv_purchase_amt,'$999,999')
FROM st_inventory
WHERE inv_id = &INV_ID
UNION
SELECT 3 DUMMY, 'Sale Price:            ' || TO_CHAR(NVL(inv_sale_amt,0),'$999,999')
FROM st_inventory
WHERE inv_id = &INV_ID
UNION
SELECT 4 DUMMY, ' '
FROM dual
UNION
SELECT 5 DUMMY, 'Parts Used:  ' 
FROM dual
UNION
SELECT 6 DUMMY, RPAD(part_desc,20) || '   ' || TO_CHAR(part_amt,'$999,999')
FROM st_parts
WHERE part_inv_id = &INV_ID
UNION
SELECT 7 DUMMY, ' '
FROM dual
UNION
SELECT 8 DUMMY, 'Labor Used: '
FROM dual
UNION
SELECT 9 DUMMY , RPAD(staff_name,10) || '             ' || TO_CHAR(bt_time * staff_billing_rate,'$999,999')
FROM st_bill_time, st_staff
WHERE st_bill_time.bt_inv_id = &INV_ID
AND st_bill_time.bt_staff_id = st_staff.staff_id
UNION
SELECT 10 DUMMY, '   '
FROM dual
UNION 
SELECT 11 DUMMY, '                    ------------'
FROM dual
UNION
SELECT 12 DUMMY, 'Profit/Loss            ' || TO_CHAR(st_calc_profit(&INV_ID),'$999,999')
FROM dual
UNION
SELECT 13 DUMMY, '   '
FROM dual
ORDER BY 1,2
/
SPOOL OFF

ACCEPT anything PROMPT 'Hit Enter when done viewing report'
EXIT
